/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __SOFTIRQS_BPF_SKEL_H__
#define __SOFTIRQS_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct softirqs_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *start;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *softirq_entry_btf;
		struct bpf_program *softirq_exit_btf;
		struct bpf_program *softirq_entry;
		struct bpf_program *softirq_exit;
	} progs;
	struct {
		struct bpf_link *softirq_entry_btf;
		struct bpf_link *softirq_exit_btf;
		struct bpf_link *softirq_entry;
		struct bpf_link *softirq_exit;
	} links;
	struct softirqs_bpf__rodata {
		bool targ_dist;
		bool targ_ns;
	} *rodata;
	struct softirqs_bpf__bss {
		__u64 counts[10];
		struct hist hists[10];
	} *bss;

#ifdef __cplusplus
	static inline struct softirqs_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct softirqs_bpf *open_and_load();
	static inline int load(struct softirqs_bpf *skel);
	static inline int attach(struct softirqs_bpf *skel);
	static inline void detach(struct softirqs_bpf *skel);
	static inline void destroy(struct softirqs_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
softirqs_bpf__destroy(struct softirqs_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
softirqs_bpf__create_skeleton(struct softirqs_bpf *obj);

static inline struct softirqs_bpf *
softirqs_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct softirqs_bpf *obj;
	int err;

	obj = (struct softirqs_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = softirqs_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	softirqs_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct softirqs_bpf *
softirqs_bpf__open(void)
{
	return softirqs_bpf__open_opts(NULL);
}

static inline int
softirqs_bpf__load(struct softirqs_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct softirqs_bpf *
softirqs_bpf__open_and_load(void)
{
	struct softirqs_bpf *obj;
	int err;

	obj = softirqs_bpf__open();
	if (!obj)
		return NULL;
	err = softirqs_bpf__load(obj);
	if (err) {
		softirqs_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
softirqs_bpf__attach(struct softirqs_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
softirqs_bpf__detach(struct softirqs_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *softirqs_bpf__elf_bytes(size_t *sz);

static inline int
softirqs_bpf__create_skeleton(struct softirqs_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "softirqs_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "start";
	s->maps[0].map = &obj->maps.start;

	s->maps[1].name = "softirqs.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	s->maps[2].name = "softirqs.bss";
	s->maps[2].map = &obj->maps.bss;
	s->maps[2].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "softirq_entry_btf";
	s->progs[0].prog = &obj->progs.softirq_entry_btf;
	s->progs[0].link = &obj->links.softirq_entry_btf;

	s->progs[1].name = "softirq_exit_btf";
	s->progs[1].prog = &obj->progs.softirq_exit_btf;
	s->progs[1].link = &obj->links.softirq_exit_btf;

	s->progs[2].name = "softirq_entry";
	s->progs[2].prog = &obj->progs.softirq_entry;
	s->progs[2].link = &obj->links.softirq_entry;

	s->progs[3].name = "softirq_exit";
	s->progs[3].prog = &obj->progs.softirq_exit;
	s->progs[3].link = &obj->links.softirq_exit;

	s->data = (void *)softirqs_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *softirqs_bpf__elf_bytes(size_t *sz)
{
	*sz = 9328;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\x1f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x15\0\
\x01\0\x85\0\0\0\x05\0\0\0\x7b\x0a\xf8\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\
\xf4\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf4\xff\xff\xff\xbf\xa3\0\0\0\
\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\
\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x17\0\
\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\x67\x07\0\0\x20\0\0\0\
\x77\x07\0\0\x20\0\0\0\x25\x07\x41\0\x09\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\
\x06\0\0\0\0\0\0\x15\x06\x3a\0\0\0\0\0\x85\0\0\0\x05\0\0\0\x79\x61\0\0\0\0\0\0\
\x1f\x10\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x12\0\0\0\0\0\0\
\xbf\x01\0\0\0\0\0\0\x37\x01\0\0\xe8\x03\0\0\x15\x02\x01\0\0\0\0\0\xbf\x01\0\0\
\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x55\x02\x06\0\
\0\0\0\0\x67\x07\0\0\x03\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x72\0\0\
\0\0\0\0\xdb\x12\0\0\0\0\0\0\x05\0\x26\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\x77\x01\
\0\0\x20\0\0\0\xb7\x02\0\0\x01\0\0\0\xb7\x04\0\0\x01\0\0\0\x25\x01\x01\0\xff\
\xff\0\0\xb7\x04\0\0\0\0\0\0\x67\x04\0\0\x04\0\0\0\x7f\x41\0\0\0\0\0\0\xb7\x03\
\0\0\x01\0\0\0\x25\x01\x01\0\xff\0\0\0\xb7\x03\0\0\0\0\0\0\x67\x03\0\0\x03\0\0\
\0\x7f\x31\0\0\0\0\0\0\x4f\x43\0\0\0\0\0\0\xb7\x05\0\0\x01\0\0\0\x25\x01\x01\0\
\x0f\0\0\0\xb7\x05\0\0\0\0\0\0\x27\x07\0\0\x50\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x67\x05\0\0\x02\0\0\0\x4f\x53\0\0\0\0\0\0\x7f\x51\0\0\0\0\0\0\xb7\
\x05\0\0\x01\0\0\0\x25\x01\x01\0\x03\0\0\0\xb7\x05\0\0\0\0\0\0\x0f\x74\0\0\0\0\
\0\0\x67\x05\0\0\x01\0\0\0\x4f\x53\0\0\0\0\0\0\x7f\x51\0\0\0\0\0\0\x77\x01\0\0\
\x01\0\0\0\x4f\x13\0\0\0\0\0\0\xb7\x01\0\0\x13\0\0\0\x2d\x31\x01\0\0\0\0\0\xb7\
\x03\0\0\x13\0\0\0\x67\x03\0\0\x02\0\0\0\x0f\x34\0\0\0\0\0\0\xc3\x24\0\0\0\0\0\
\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x05\0\0\0\x7b\x0a\xf8\xff\0\0\
\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xf4\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\
\0\xf4\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x79\x17\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\
\0\0\0\0\x67\x07\0\0\x20\0\0\0\x77\x07\0\0\x20\0\0\0\x25\x07\x41\0\x09\0\0\0\
\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x3a\0\0\0\0\0\x85\0\0\0\
\x05\0\0\0\x79\x61\0\0\0\0\0\0\x1f\x10\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x71\x12\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x37\x01\0\0\xe8\x03\0\0\x15\
\x02\x01\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\
\x22\0\0\0\0\0\0\x55\x02\x06\0\0\0\0\0\x67\x07\0\0\x03\0\0\0\x18\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0f\x72\0\0\0\0\0\0\xdb\x12\0\0\0\0\0\0\x05\0\x26\0\0\0\0\0\
\x67\x01\0\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\xb7\x02\0\0\x01\0\0\0\xb7\x04\0\0\
\x01\0\0\0\x25\x01\x01\0\xff\xff\0\0\xb7\x04\0\0\0\0\0\0\x67\x04\0\0\x04\0\0\0\
\x7f\x41\0\0\0\0\0\0\xb7\x03\0\0\x01\0\0\0\x25\x01\x01\0\xff\0\0\0\xb7\x03\0\0\
\0\0\0\0\x67\x03\0\0\x03\0\0\0\x7f\x31\0\0\0\0\0\0\x4f\x43\0\0\0\0\0\0\xb7\x05\
\0\0\x01\0\0\0\x25\x01\x01\0\x0f\0\0\0\xb7\x05\0\0\0\0\0\0\x27\x07\0\0\x50\0\0\
\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x67\x05\0\0\x02\0\0\0\x4f\x53\0\0\0\0\0\
\0\x7f\x51\0\0\0\0\0\0\xb7\x05\0\0\x01\0\0\0\x25\x01\x01\0\x03\0\0\0\xb7\x05\0\
\0\0\0\0\0\x0f\x74\0\0\0\0\0\0\x67\x05\0\0\x01\0\0\0\x4f\x53\0\0\0\0\0\0\x7f\
\x51\0\0\0\0\0\0\x77\x01\0\0\x01\0\0\0\x4f\x13\0\0\0\0\0\0\xb7\x01\0\0\x13\0\0\
\0\x2d\x31\x01\0\0\0\0\0\xb7\x03\0\0\x13\0\0\0\x67\x03\0\0\x02\0\0\0\x0f\x34\0\
\0\0\0\0\0\xc3\x24\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x2c\x03\0\0\x2c\x03\0\0\xec\x04\0\
\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x06\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\
\x1d\0\0\0\0\0\0\x08\x0a\0\0\0\x23\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\x02\x0c\0\0\0\x30\0\0\0\0\0\0\x08\x0d\0\0\0\x34\0\0\0\0\0\0\x08\x0e\0\0\
\0\x3a\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x4d\0\
\0\0\x01\0\0\0\0\0\0\0\x52\0\0\0\x05\0\0\0\x40\0\0\0\x5e\0\0\0\x07\0\0\0\x80\0\
\0\0\x62\0\0\0\x0b\0\0\0\xc0\0\0\0\x68\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x02\x0e\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x6e\0\0\0\x11\0\0\0\x72\
\0\0\0\x01\0\0\x0c\x12\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x6e\0\0\0\x11\0\0\0\
\x69\x01\0\0\x01\0\0\x0c\x14\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x6e\0\0\0\x11\
\0\0\0\xea\x03\0\0\x01\0\0\x0c\x16\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x6e\0\0\
\0\x11\0\0\0\x3e\x04\0\0\x01\0\0\x0c\x18\0\0\0\0\0\0\0\0\0\0\x0a\x1b\0\0\0\0\0\
\0\0\0\0\0\x09\x1c\0\0\0\x8f\x04\0\0\0\0\0\x08\x1d\0\0\0\x94\x04\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x04\x9a\x04\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\xa4\x04\0\0\0\
\0\0\x0e\x1a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\0\0\x04\0\0\0\x0a\
\0\0\0\xac\x04\0\0\0\0\0\x0e\x20\0\0\0\x01\0\0\0\xb3\x04\0\0\x01\0\0\x04\x50\0\
\0\0\xb8\x04\0\0\x23\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\0\
\0\x14\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x22\0\0\0\x04\0\0\0\x0a\0\0\0\xbe\x04\0\
\0\0\0\0\x0e\x24\0\0\0\x01\0\0\0\xc4\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\
\0\0\0\0\0\0\x03\0\0\0\0\x26\0\0\0\x04\0\0\0\x04\0\0\0\xc9\x04\0\0\0\0\0\x0e\
\x27\0\0\0\x01\0\0\0\xd1\x04\0\0\x02\0\0\x0f\0\0\0\0\x21\0\0\0\0\0\0\0\x50\0\0\
\0\x25\0\0\0\0\0\0\0\x20\x03\0\0\xd6\x04\0\0\x01\0\0\x0f\0\0\0\0\x10\0\0\0\0\0\
\0\0\x20\0\0\0\xdc\x04\0\0\x02\0\0\x0f\0\0\0\0\x1e\0\0\0\0\0\0\0\x01\0\0\0\x1f\
\0\0\0\0\0\0\0\x01\0\0\0\xe4\x04\0\0\x01\0\0\x0f\0\0\0\0\x28\0\0\0\0\0\0\0\x04\
\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\
\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\
\x65\0\x73\x74\x61\x72\x74\0\x63\x74\x78\0\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\
\x6e\x74\x72\x79\x5f\x62\x74\x66\0\x74\x70\x5f\x62\x74\x66\x2f\x73\x6f\x66\x74\
\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x62\x63\x63\x2d\x30\x2e\x32\
\x36\x2e\x30\x2f\x6c\x69\x62\x62\x70\x66\x2d\x74\x6f\x6f\x6c\x73\x2f\x73\x6f\
\x66\x74\x69\x72\x71\x73\x2e\x62\x70\x66\x2e\x63\0\x09\x75\x36\x34\x20\x74\x73\
\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\
\x28\x29\x3b\0\x09\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\
\x26\x73\x74\x61\x72\x74\x2c\x20\x26\x6b\x65\x79\x2c\x20\x26\x74\x73\x2c\x20\
\x42\x50\x46\x5f\x41\x4e\x59\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x28\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\x5f\x62\x74\
\x66\x2c\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x76\x65\x63\
\x5f\x6e\x72\x29\0\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\x74\x5f\x62\x74\
\x66\0\x74\x70\x5f\x62\x74\x66\x2f\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\
\x74\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x73\x6f\x66\x74\x69\
\x72\x71\x5f\x65\x78\x69\x74\x5f\x62\x74\x66\x2c\x20\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x69\x6e\x74\x20\x76\x65\x63\x5f\x6e\x72\x29\0\x09\x69\x66\x20\x28\
\x76\x65\x63\x5f\x6e\x72\x20\x3e\x3d\x20\x4e\x52\x5f\x53\x4f\x46\x54\x49\x52\
\x51\x53\x29\0\x09\x74\x73\x70\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x73\x74\x61\x72\x74\x2c\x20\
\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x74\x73\x70\x29\0\x09\x64\
\x65\x6c\x74\x61\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\
\x74\x5f\x6e\x73\x28\x29\x20\x2d\x20\x2a\x74\x73\x70\x3b\0\x09\x69\x66\x20\x28\
\x21\x74\x61\x72\x67\x5f\x6e\x73\x29\0\x09\x69\x66\x20\x28\x21\x74\x61\x72\x67\
\x5f\x64\x69\x73\x74\x29\x20\x7b\0\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\
\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x63\x6f\x75\x6e\x74\x73\
\x5b\x76\x65\x63\x5f\x6e\x72\x5d\x2c\x20\x64\x65\x6c\x74\x61\x29\x3b\0\x09\x09\
\x73\x6c\x6f\x74\x20\x3d\x20\x6c\x6f\x67\x32\x28\x64\x65\x6c\x74\x61\x29\x3b\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x62\x63\x63\x2d\x30\x2e\x32\x36\x2e\x30\x2f\x6c\x69\x62\x62\x70\
\x66\x2d\x74\x6f\x6f\x6c\x73\x2f\x2e\x2f\x62\x69\x74\x73\x2e\x62\x70\x66\x2e\
\x68\0\x09\x72\x20\x3d\x20\x28\x76\x20\x3e\x20\x30\x78\x46\x46\x46\x46\x29\x20\
\x3c\x3c\x20\x34\x3b\x20\x76\x20\x3e\x3e\x3d\x20\x72\x3b\0\x09\x73\x68\x69\x66\
\x74\x20\x3d\x20\x28\x76\x20\x3e\x20\x30\x78\x46\x46\x29\x20\x3c\x3c\x20\x33\
\x3b\x20\x76\x20\x3e\x3e\x3d\x20\x73\x68\x69\x66\x74\x3b\x20\x72\x20\x7c\x3d\
\x20\x73\x68\x69\x66\x74\x3b\0\x09\x73\x68\x69\x66\x74\x20\x3d\x20\x28\x76\x20\
\x3e\x20\x30\x78\x46\x29\x20\x3c\x3c\x20\x32\x3b\x20\x76\x20\x3e\x3e\x3d\x20\
\x73\x68\x69\x66\x74\x3b\x20\x72\x20\x7c\x3d\x20\x73\x68\x69\x66\x74\x3b\0\x09\
\x73\x68\x69\x66\x74\x20\x3d\x20\x28\x76\x20\x3e\x20\x30\x78\x33\x29\x20\x3c\
\x3c\x20\x31\x3b\x20\x76\x20\x3e\x3e\x3d\x20\x73\x68\x69\x66\x74\x3b\x20\x72\
\x20\x7c\x3d\x20\x73\x68\x69\x66\x74\x3b\0\x09\x72\x20\x7c\x3d\x20\x28\x76\x20\
\x3e\x3e\x20\x31\x29\x3b\0\x09\x09\x69\x66\x20\x28\x73\x6c\x6f\x74\x20\x3e\x3d\
\x20\x4d\x41\x58\x5f\x53\x4c\x4f\x54\x53\x29\0\x09\x09\x5f\x5f\x73\x79\x6e\x63\
\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x68\x69\x73\
\x74\x2d\x3e\x73\x6c\x6f\x74\x73\x5b\x73\x6c\x6f\x74\x5d\x2c\x20\x31\x29\x3b\0\
\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\0\x72\x61\x77\x5f\x74\x70\
\x2f\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x6e\x74\
\x72\x79\x2c\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x76\x65\
\x63\x5f\x6e\x72\x29\0\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\x74\0\x72\
\x61\x77\x5f\x74\x70\x2f\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\x74\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x73\x6f\x66\x74\x69\x72\x71\
\x5f\x65\x78\x69\x74\x2c\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\
\x20\x76\x65\x63\x5f\x6e\x72\x29\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x74\
\x61\x72\x67\x5f\x64\x69\x73\x74\0\x74\x61\x72\x67\x5f\x6e\x73\0\x63\x6f\x75\
\x6e\x74\x73\0\x68\x69\x73\x74\0\x73\x6c\x6f\x74\x73\0\x68\x69\x73\x74\x73\0\
\x63\x68\x61\x72\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x62\x73\x73\0\x2e\x6d\x61\
\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x9f\xeb\
\x01\0\x20\0\0\0\0\0\0\0\x44\0\0\0\x44\0\0\0\x84\x05\0\0\xc8\x05\0\0\0\0\0\0\
\x08\0\0\0\x84\0\0\0\x01\0\0\0\0\0\0\0\x13\0\0\0\x7a\x01\0\0\x01\0\0\0\0\0\0\0\
\x15\0\0\0\xf8\x03\0\0\x01\0\0\0\0\0\0\0\x17\0\0\0\x4b\x04\0\0\x01\0\0\0\0\0\0\
\0\x19\0\0\0\x10\0\0\0\x84\0\0\0\x06\0\0\0\0\0\0\0\x99\0\0\0\xd6\0\0\0\x0b\x64\
\0\0\x08\0\0\0\x99\0\0\0\xd6\0\0\0\x06\x64\0\0\x18\0\0\0\x99\0\0\0\xf4\0\0\0\
\x06\x68\0\0\x28\0\0\0\x99\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x99\0\0\0\x02\x01\0\
\0\x02\x70\0\0\x60\0\0\0\x99\0\0\0\x34\x01\0\0\x05\xfc\0\0\x7a\x01\0\0\x25\0\0\
\0\0\0\0\0\x99\0\0\0\x8e\x01\0\0\x05\x14\x01\0\x10\0\0\0\x99\0\0\0\xf4\0\0\0\
\x06\x8c\0\0\x18\0\0\0\x99\0\0\0\x8e\x01\0\0\x05\x14\x01\0\x28\0\0\0\x99\0\0\0\
\xc2\x01\0\0\x06\x94\0\0\x38\0\0\0\x99\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x99\0\0\
\0\xde\x01\0\0\x08\x9c\0\0\x60\0\0\0\x99\0\0\0\x08\x02\0\0\x06\xa0\0\0\x68\0\0\
\0\x99\0\0\0\x13\x02\0\0\x0a\xa8\0\0\x70\0\0\0\x99\0\0\0\x13\x02\0\0\x1f\xa8\0\
\0\x78\0\0\0\x99\0\0\0\x13\x02\0\0\x1d\xa8\0\0\x80\0\0\0\x99\0\0\0\x37\x02\0\0\
\x07\xac\0\0\x98\0\0\0\x99\0\0\0\x37\x02\0\0\x06\xac\0\0\xb8\0\0\0\x99\0\0\0\
\x46\x02\0\0\x07\xb8\0\0\xd0\0\0\0\x99\0\0\0\x46\x02\0\0\x06\xb8\0\0\xd8\0\0\0\
\x99\0\0\0\x59\x02\0\0\x19\xbc\0\0\xf8\0\0\0\x99\0\0\0\x59\x02\0\0\x03\xbc\0\0\
\x08\x01\0\0\x99\0\0\0\x89\x02\0\0\x0f\xd4\0\0\x38\x01\0\0\x9f\x02\0\0\xda\x02\
\0\0\x13\x30\0\0\x40\x01\0\0\x9f\x02\0\0\xda\x02\0\0\x1b\x30\0\0\x60\x01\0\0\
\x9f\x02\0\0\xfb\x02\0\0\x15\x34\0\0\x68\x01\0\0\x9f\x02\0\0\xfb\x02\0\0\x1d\
\x34\0\0\x70\x01\0\0\x9f\x02\0\0\xfb\x02\0\0\x2a\x34\0\0\x80\x01\0\0\x9f\x02\0\
\0\xfb\x02\0\0\x1d\x34\0\0\x90\x01\0\0\x99\0\0\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\
\x9f\x02\0\0\x2e\x03\0\0\x14\x38\0\0\xb0\x01\0\0\x9f\x02\0\0\x2e\x03\0\0\x29\
\x38\0\0\xb8\x01\0\0\x9f\x02\0\0\x2e\x03\0\0\x1c\x38\0\0\xd8\x01\0\0\x99\0\0\0\
\0\0\0\0\0\0\0\0\xe0\x01\0\0\x9f\x02\0\0\x60\x03\0\0\x14\x3c\0\0\xe8\x01\0\0\
\x9f\x02\0\0\x60\x03\0\0\x29\x3c\0\0\xf0\x01\0\0\x9f\x02\0\0\x60\x03\0\0\x1c\
\x3c\0\0\xf8\x01\0\0\x9f\x02\0\0\x92\x03\0\0\x0a\x40\0\0\0\x02\0\0\x9f\x02\0\0\
\x92\x03\0\0\x04\x40\0\0\x10\x02\0\0\x99\0\0\0\xa2\x03\0\0\x07\xd8\0\0\x20\x02\
\0\0\x99\0\0\0\xbb\x03\0\0\x19\xe0\0\0\x30\x02\0\0\x99\0\0\0\xbb\x03\0\0\x03\
\xe0\0\0\x38\x02\0\0\x99\0\0\0\x8e\x01\0\0\x05\x14\x01\0\xf8\x03\0\0\x06\0\0\0\
\0\0\0\0\x99\0\0\0\xd6\0\0\0\x0b\x64\0\0\x08\0\0\0\x99\0\0\0\xd6\0\0\0\x06\x64\
\0\0\x18\0\0\0\x99\0\0\0\xf4\0\0\0\x06\x68\0\0\x28\0\0\0\x99\0\0\0\0\0\0\0\0\0\
\0\0\x40\0\0\0\x99\0\0\0\x02\x01\0\0\x02\x70\0\0\x60\0\0\0\x99\0\0\0\x0d\x04\0\
\0\x05\x2c\x01\0\x4b\x04\0\0\x25\0\0\0\0\0\0\0\x99\0\0\0\x5f\x04\0\0\x05\x44\
\x01\0\x10\0\0\0\x99\0\0\0\xf4\0\0\0\x06\x8c\0\0\x18\0\0\0\x99\0\0\0\x5f\x04\0\
\0\x05\x44\x01\0\x28\0\0\0\x99\0\0\0\xc2\x01\0\0\x06\x94\0\0\x38\0\0\0\x99\0\0\
\0\0\0\0\0\0\0\0\0\x40\0\0\0\x99\0\0\0\xde\x01\0\0\x08\x9c\0\0\x60\0\0\0\x99\0\
\0\0\x08\x02\0\0\x06\xa0\0\0\x68\0\0\0\x99\0\0\0\x13\x02\0\0\x0a\xa8\0\0\x70\0\
\0\0\x99\0\0\0\x13\x02\0\0\x1f\xa8\0\0\x78\0\0\0\x99\0\0\0\x13\x02\0\0\x1d\xa8\
\0\0\x80\0\0\0\x99\0\0\0\x37\x02\0\0\x07\xac\0\0\x98\0\0\0\x99\0\0\0\x37\x02\0\
\0\x06\xac\0\0\xb8\0\0\0\x99\0\0\0\x46\x02\0\0\x07\xb8\0\0\xd0\0\0\0\x99\0\0\0\
\x46\x02\0\0\x06\xb8\0\0\xd8\0\0\0\x99\0\0\0\x59\x02\0\0\x19\xbc\0\0\xf8\0\0\0\
\x99\0\0\0\x59\x02\0\0\x03\xbc\0\0\x08\x01\0\0\x99\0\0\0\x89\x02\0\0\x0f\xd4\0\
\0\x38\x01\0\0\x9f\x02\0\0\xda\x02\0\0\x13\x30\0\0\x40\x01\0\0\x9f\x02\0\0\xda\
\x02\0\0\x1b\x30\0\0\x60\x01\0\0\x9f\x02\0\0\xfb\x02\0\0\x15\x34\0\0\x68\x01\0\
\0\x9f\x02\0\0\xfb\x02\0\0\x1d\x34\0\0\x70\x01\0\0\x9f\x02\0\0\xfb\x02\0\0\x2a\
\x34\0\0\x80\x01\0\0\x9f\x02\0\0\xfb\x02\0\0\x1d\x34\0\0\x90\x01\0\0\x99\0\0\0\
\0\0\0\0\0\0\0\0\xa8\x01\0\0\x9f\x02\0\0\x2e\x03\0\0\x14\x38\0\0\xb0\x01\0\0\
\x9f\x02\0\0\x2e\x03\0\0\x29\x38\0\0\xb8\x01\0\0\x9f\x02\0\0\x2e\x03\0\0\x1c\
\x38\0\0\xd8\x01\0\0\x99\0\0\0\0\0\0\0\0\0\0\0\xe0\x01\0\0\x9f\x02\0\0\x60\x03\
\0\0\x14\x3c\0\0\xe8\x01\0\0\x9f\x02\0\0\x60\x03\0\0\x29\x3c\0\0\xf0\x01\0\0\
\x9f\x02\0\0\x60\x03\0\0\x1c\x3c\0\0\xf8\x01\0\0\x9f\x02\0\0\x92\x03\0\0\x0a\
\x40\0\0\0\x02\0\0\x9f\x02\0\0\x92\x03\0\0\x04\x40\0\0\x10\x02\0\0\x99\0\0\0\
\xa2\x03\0\0\x07\xd8\0\0\x20\x02\0\0\x99\0\0\0\xbb\x03\0\0\x19\xe0\0\0\x30\x02\
\0\0\x99\0\0\0\xbb\x03\0\0\x03\xe0\0\0\x38\x02\0\0\x99\0\0\0\x5f\x04\0\0\x05\
\x44\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x1e\x01\0\0\0\0\x05\0\x38\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4b\x01\0\0\0\
\0\x05\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\x01\0\0\0\0\x05\0\x08\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\x05\0\x38\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7a\x01\0\0\0\0\x05\0\x60\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\x01\0\0\0\0\
\x05\0\x90\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\x01\0\0\0\0\x05\0\xd8\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x3c\x01\0\0\0\0\x05\0\x20\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x01\0\0\0\0\x09\0\x38\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x44\x01\0\0\0\0\x09\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\x01\0\0\0\
\0\x09\0\x08\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\x09\0\x38\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x72\x01\0\0\0\0\x09\0\x60\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x62\x01\0\0\0\0\x09\0\x90\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\x01\0\0\0\0\
\x09\0\xd8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\x01\0\0\0\0\x09\0\x20\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb4\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\
\x50\0\0\0\x11\0\x0e\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xc6\0\0\0\x12\0\x05\0\
\0\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\x9e\0\0\0\x11\0\x0b\0\x01\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x46\0\0\0\x11\0\x0b\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x8c\
\0\0\0\x11\0\x0c\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x86\0\0\0\x11\0\x0c\0\x50\
\0\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\x25\0\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\x70\0\
\0\0\0\0\0\0\x79\0\0\0\x12\0\x09\0\0\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\0\x01\0\
\0\x11\0\x0d\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\
\x16\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\
\x18\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\
\x1a\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\
\x16\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\
\x18\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\
\x1a\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\xdc\x02\0\0\0\0\0\0\x04\0\0\
\0\x1a\0\0\0\xe8\x02\0\0\0\0\0\0\x04\0\0\0\x1b\0\0\0\0\x03\0\0\0\0\0\0\x04\0\0\
\0\x16\0\0\0\x18\x03\0\0\0\0\0\0\x03\0\0\0\x19\0\0\0\x24\x03\0\0\0\0\0\0\x03\0\
\0\0\x18\0\0\0\x3c\x03\0\0\0\0\0\0\x04\0\0\0\x1e\0\0\0\x2c\0\0\0\0\0\0\0\x04\0\
\0\0\x01\0\0\0\x3c\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x4c\0\0\0\0\0\0\0\x04\0\0\
\0\x0b\0\0\0\x5c\0\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x70\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x90\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xb0\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xc0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xd8\0\0\0\0\0\0\0\x04\0\0\0\
\x02\0\0\0\xe8\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xf8\0\0\0\0\0\0\0\x04\0\0\0\
\x02\0\0\0\x08\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\x04\0\0\
\0\x02\0\0\0\x28\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x38\x01\0\0\0\0\0\0\x04\0\
\0\0\x02\0\0\0\x48\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x58\x01\0\0\0\0\0\0\x04\
\0\0\0\x02\0\0\0\x68\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x78\x01\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x88\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x98\x01\0\0\0\0\0\
\0\x04\0\0\0\x02\0\0\0\xa8\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xb8\x01\0\0\0\0\
\0\0\x04\0\0\0\x02\0\0\0\xc8\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xd8\x01\0\0\0\
\0\0\0\x04\0\0\0\x02\0\0\0\xe8\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xf8\x01\0\0\
\0\0\0\0\x04\0\0\0\x02\0\0\0\x08\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x18\x02\0\
\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x28\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x38\x02\
\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x48\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x58\
\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x68\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\
\x78\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x88\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\0\
\0\x98\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xa8\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\
\0\0\xb8\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xc8\x02\0\0\0\0\0\0\x04\0\0\0\x02\
\0\0\0\xd8\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xe8\x02\0\0\0\0\0\0\x04\0\0\0\
\x02\0\0\0\xf8\x02\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x08\x03\0\0\0\0\0\0\x04\0\0\
\0\x02\0\0\0\x18\x03\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x30\x03\0\0\0\0\0\0\x04\0\
\0\0\x0b\0\0\0\x40\x03\0\0\0\0\0\0\x04\0\0\0\x0b\0\0\0\x50\x03\0\0\0\0\0\0\x04\
\0\0\0\x0b\0\0\0\x60\x03\0\0\0\0\0\0\x04\0\0\0\x0b\0\0\0\x70\x03\0\0\0\0\0\0\
\x04\0\0\0\x0b\0\0\0\x80\x03\0\0\0\0\0\0\x04\0\0\0\x0b\0\0\0\x98\x03\0\0\0\0\0\
\0\x04\0\0\0\x0c\0\0\0\xa8\x03\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\xb8\x03\0\0\0\0\
\0\0\x04\0\0\0\x0c\0\0\0\xc8\x03\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\xd8\x03\0\0\0\
\0\0\0\x04\0\0\0\x0c\0\0\0\xe8\x03\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\xf8\x03\0\0\
\0\0\0\0\x04\0\0\0\x0c\0\0\0\x08\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x18\x04\0\
\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x28\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x38\x04\
\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x48\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x58\
\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x68\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\
\x78\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x88\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\
\0\x98\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\xa8\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\
\0\0\xb8\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\xc8\x04\0\0\0\0\0\0\x04\0\0\0\x0c\
\0\0\0\xd8\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\xe8\x04\0\0\0\0\0\0\x04\0\0\0\
\x0c\0\0\0\xf8\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x08\x05\0\0\0\0\0\0\x04\0\0\
\0\x0c\0\0\0\x18\x05\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x28\x05\0\0\0\0\0\0\x04\0\
\0\0\x0c\0\0\0\x38\x05\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x48\x05\0\0\0\0\0\0\x04\
\0\0\0\x0c\0\0\0\x58\x05\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x68\x05\0\0\0\0\0\0\
\x04\0\0\0\x0c\0\0\0\x78\x05\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x88\x05\0\0\0\0\0\
\0\x04\0\0\0\x0c\0\0\0\x98\x05\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\xa8\x05\0\0\0\0\
\0\0\x04\0\0\0\x0c\0\0\0\xb8\x05\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\xc8\x05\0\0\0\
\0\0\0\x04\0\0\0\x0c\0\0\0\xd8\x05\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x1c\x1e\x23\
\x24\x20\x1f\x21\x22\x25\x1d\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\
\x6f\x66\x74\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\0\x2e\x72\x65\x6c\x74\x70\x5f\
\x62\x74\x66\x2f\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\0\x2e\x74\
\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x74\x61\x72\
\x67\x5f\x64\x69\x73\x74\0\x73\x74\x61\x72\x74\0\x2e\x72\x65\x6c\x72\x61\x77\
\x5f\x74\x70\x2f\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\x74\0\x2e\x72\x65\
\x6c\x74\x70\x5f\x62\x74\x66\x2f\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\
\x74\0\x68\x69\x73\x74\x73\0\x63\x6f\x75\x6e\x74\x73\0\x2e\x62\x73\x73\0\x2e\
\x6d\x61\x70\x73\0\x74\x61\x72\x67\x5f\x6e\x73\0\x2e\x6c\x6c\x76\x6d\x5f\x61\
\x64\x64\x72\x73\x69\x67\0\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x6e\x74\x72\x79\
\x5f\x62\x74\x66\0\x73\x6f\x66\x74\x69\x72\x71\x5f\x65\x78\x69\x74\x5f\x62\x74\
\x66\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\
\x6d\x74\x61\x62\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x72\x65\x6c\x2e\x42\x54\
\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\x4c\x42\x42\x33\x5f\x38\0\x4c\x42\x42\x31\
\x5f\x38\0\x4c\x42\x42\x33\x5f\x31\x37\0\x4c\x42\x42\x31\x5f\x31\x37\0\x4c\x42\
\x42\x33\x5f\x36\0\x4c\x42\x42\x31\x5f\x36\0\x4c\x42\x42\x33\x5f\x31\x36\0\x4c\
\x42\x42\x31\x5f\x31\x36\0\x4c\x42\x42\x33\x5f\x34\0\x4c\x42\x42\x31\x5f\x34\0\
\x4c\x42\x42\x33\x5f\x31\x34\0\x4c\x42\x42\x31\x5f\x31\x34\0\x4c\x42\x42\x33\
\x5f\x31\x32\0\x4c\x42\x42\x31\x5f\x31\x32\0\x4c\x42\x42\x33\x5f\x31\x30\0\x4c\
\x42\x42\x31\x5f\x31\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xdf\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\x1d\0\0\0\0\0\0\
\x82\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe0\x16\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x14\0\0\0\x03\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x72\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb0\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x6e\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x16\0\
\0\0\0\0\0\x50\0\0\0\0\0\0\0\x14\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x05\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x02\0\0\0\0\0\
\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x17\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x14\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5a\0\0\0\x01\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x03\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\x09\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x17\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x14\0\0\0\x09\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xef\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb0\x05\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x93\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb8\x05\0\0\0\0\0\0\x70\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd7\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x05\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x98\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x05\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfb\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x05\0\0\0\0\0\0\x30\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf7\0\0\0\x09\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x17\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x14\0\0\0\
\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x3d\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\x0e\0\0\0\0\0\0\xe8\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\xa0\x05\0\0\0\0\0\0\x14\0\0\0\x11\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\xa6\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\
\0\0\0\0\xa0\x1d\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xe7\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x13\
\0\0\0\0\0\0\xe8\x02\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0";
}

#ifdef __cplusplus
struct softirqs_bpf *softirqs_bpf::open(const struct bpf_object_open_opts *opts) { return softirqs_bpf__open_opts(opts); }
struct softirqs_bpf *softirqs_bpf::open_and_load() { return softirqs_bpf__open_and_load(); }
int softirqs_bpf::load(struct softirqs_bpf *skel) { return softirqs_bpf__load(skel); }
int softirqs_bpf::attach(struct softirqs_bpf *skel) { return softirqs_bpf__attach(skel); }
void softirqs_bpf::detach(struct softirqs_bpf *skel) { softirqs_bpf__detach(skel); }
void softirqs_bpf::destroy(struct softirqs_bpf *skel) { softirqs_bpf__destroy(skel); }
const void *softirqs_bpf::elf_bytes(size_t *sz) { return softirqs_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
softirqs_bpf__assert(struct softirqs_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->targ_dist) == 1, "unexpected size of 'targ_dist'");
	_Static_assert(sizeof(s->rodata->targ_ns) == 1, "unexpected size of 'targ_ns'");
	_Static_assert(sizeof(s->bss->counts) == 80, "unexpected size of 'counts'");
	_Static_assert(sizeof(s->bss->hists) == 800, "unexpected size of 'hists'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __SOFTIRQS_BPF_SKEL_H__ */
